Author Topic: 0.9.9 gives Segmentation fault and crashes in Ubuntu 8.10  (Read 3904 times)

Krumas

  • Newbie
  • *
  • Posts: 5
    • View Profile
0.9.9 gives Segmentation fault and crashes in Ubuntu 8.10
« on: January 14, 2009, 04:59:05 PM »
I've installed Yabause 0.9.9 .package file on Ubuntu 8.10, and when I m trying to run it with terminal,it gives Segmentation fault and crashes. Is it possible to solve this problem?

Sorry for my bad English - I m Lithuanian.

Guillaume

  • Administrator
  • Sr. Member
  • *****
  • Posts: 359
    • View Profile
    • ./confiture && cake
0.9.9 gives Segmentation fault and crashes in Ubuntu 8.10
« Reply #1 on: January 14, 2009, 05:03:16 PM »
1) try removing the ~/.config/yabause.ini file
2) if it doesn't solve the problem, run yabause in gdb and paste the backtrace, something like:
    gdb /usr/bin/yabause
    run
    bt

Krumas

  • Newbie
  • *
  • Posts: 5
    • View Profile
0.9.9 gives Segmentation fault and crashes in Ubuntu 8.10
« Reply #2 on: January 14, 2009, 05:07:31 PM »
Installing English and Lithuanian locales and rebooting PC solved the problem. Because my Linux was without any locale (Yabause couldn't find one and crashed). I m stupid. Thanks for your time. ;D

Guillaume

  • Administrator
  • Sr. Member
  • *****
  • Posts: 359
    • View Profile
    • ./confiture && cake
0.9.9 gives Segmentation fault and crashes in Ubuntu 8.10
« Reply #3 on: January 14, 2009, 05:10:24 PM »
ho... Yabause crashing if it can find a locale sounds like a problem though...
thanks for reporting :)